Skip to main content

Client Credentials Authentication

Client credentials authentication is the simplest authentication type. It lets you ask for user input, optionally transform it into connection credentials, and use those to access the API.

Overview

This authentication type is ideal for APIs that use:
  • API keys
  • Username and password
  • Basic authentication
  • Custom token-based authentication that doesn’t follow OAuth standards

Connector Definition

Example client credentials connector definition:

How It Works

By default, user input (connectionInput) is used directly as connection credentials. If you need to transform this input or add additional information, you can implement the getCredentialsFromConnectionParameters method.

Custom Credential Processing

You can implement a custom getCredentialsFromConnectionParameters method to transform user input into API credentials:
This function receives the following input parameters:
  • connectorParameters - parameters configured for the connector in your workspace.
  • connectionInput - input provided by the user in the connection UI.

API Client Configuration

For client credentials authentication, you’ll typically need to configure the API client to include the credentials in requests:

Common Authentication Patterns

API Key in Header

API Key in Query Parameter

Basic Authentication